#pragma once

#include <vector>
#include <cassert>

#include "graph.h"
#include "snapshot.h"

class GM_Twin_Merge : public GraphModification {
public:
	Vertex *twin;
	Vertex *merged;
	virtual void undo(Graph &G);
	virtual void translate(Graph &G, list<Vertex *> &sol);
};

bool tc_twin(Graph &G);
bool tc_twin_single(Graph &G, Vertex *v);
